Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface RDFSDatatype

All Superinterfaces:
  Comparable<edu.stanford.smi.protege.model.Frame>, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, ProtegeInstance, RDFObject, RDFResource, Visitable

All Known Implementing Classes:
  DefaultRDFSDatatype

    public interface RDFSDatatype

extends RDFResource

An RDF resource representing an XML Schema datatype.

Author:
  Holger Knublauch

Method Summary
`RDFSDatatype` | `getBaseDatatype()` If this is a user-defined datatype, then this method gets the restricted base type.
`Object` | `getDefaultValue()` Creates a default value for this datatype (e.g.
`int` | `getLength()` Gets the value of the xsd:length facet of this (user-defined) datatype.
`RDFSLiteral` | `getMaxExclusive()` Gets the value of the xsd:maxExclusive facet of this (user-defined) datatype.
`RDFSLiteral` | `getMaxInclusive()` Gets the value of the xsd:maxInclusive facet of this (user-defined) datatype.
`int` | `getMaxLength()` Gets the value of the xsd:maxLength facet of this (user-defined) datatype.
`RDFSLiteral` | `getMinExclusive()` Gets the value of the xsd:minExclusive facet of this (user-defined) datatype.
`RDFSLiteral` | `getMinInclusive()` Gets the value of the xsd:minInclusive facet of this (user-defined) datatype.
`int` | `getMinLength()` Gets the value of the xsd:minLength facet of this (user-defined) datatype.
`String` | `getPattern()` Gets the value of the xsd:pattern facet of this (user-defined) datatype.
`boolean` | `isNumericDatatype()` Checks if this is a numeric type.
`boolean` | `isValidValue(RDFSLiteral object)` Checks if a given would be a valid value for this property.

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Method Detail

### getBaseDatatype

    RDFSDatatype getBaseDatatype()

  If this is a user-defined datatype, then this method gets the restricted base type. Note: This experimental method should not be used yet.

  Returns:
    the base type or null

### getDefaultValue

    Object getDefaultValue()

  Creates a default value for this datatype (e.g. Integer(0) for xsd:int).

  Returns:
    a default value

### getLength

    int getLength()

  Gets the value of the xsd:length facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Returns:
    the length of this (string) datatype or -1 if none is defined

### getMaxExclusive

    RDFSLiteral getMaxExclusive()

  Gets the value of the xsd:maxExclusive facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Returns:
    the exclusive maximum value of this datatype or null

### getMaxInclusive

    RDFSLiteral getMaxInclusive()

  Gets the value of the xsd:maxInclusive facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Returns:
    the inclusive maximum value of this datatype or null

### getMaxLength

    int getMaxLength()

  Gets the value of the xsd:maxLength facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Returns:
    the maximum length of this (string) datatype or -1 if none is defined

### getMinExclusive

    RDFSLiteral getMinExclusive()

  Gets the value of the xsd:minExclusive facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Returns:
    the exclusive minimum value of this datatype or null

### getMinInclusive

    RDFSLiteral getMinInclusive()

  Gets the value of the xsd:minInclusive facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Returns:
    the inclusive minimum value of this datatype or null

### getMinLength

    int getMinLength()

  Gets the value of the xsd:minLength facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Returns:
    the minimum length of this (string) datatype or -1 if none is defined

### getPattern

    String getPattern()

  Gets the value of the xsd:pattern facet of this (user-defined) datatype. Patterns must be regular expressions. Note: This experimental method should not be used yet.

  Returns:
    the pattern or null if none is defined

### isNumericDatatype

    boolean isNumericDatatype()

  Checks if this is a numeric type. This is for example needed to decide whether values shall be edited with left or right alignment.

  Returns:
    true if this is a numeric datatype (such as xsd:int)

### isValidValue

    boolean isValidValue(RDFSLiteral object)

  Checks if a given would be a valid value for this property. This should check for XML Schema datatype facet violations.

  Parameters:
    `object` - the potential value
  Returns:
    true if the object would be valid

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.